Bug 882537 - jpackage-utils: Missing dependency on findutils
Summary: jpackage-utils: Missing dependency on findutils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jpackage-utils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 882538
TreeView+ depends on / blocked
 
Reported: 2012-12-01 18:40 UTC by Mikolaj Izdebski
Modified: 2012-12-13 11:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 882538 (view as bug list)
Environment:
Last Closed: 2012-12-13 11:08:21 UTC
Type: Bug


Attachments (Terms of Use)
Proposed patch (3.02 KB, patch)
2012-12-03 17:11 UTC, Mikolaj Izdebski
no flags Details | Diff

Description Mikolaj Izdebski 2012-12-01 18:40:04 UTC
Description of problem:
%update_maven_depmap calls find utility, but does not require findutils. This leads to macro failure if findutils are not installed.

Version-Release number of selected component (if applicable):
1.7.5-20.fc18

How reproducible:
always

Steps to Reproduce:
1. prepare a chroot at /chroot
2. install a package that calls %update_maven_depmap in its scriplet (for example xpp3)
 # yum --installroot /chroot install xpp3
  
Actual results:
  Installing : xpp3-1.1.3.8-7.fc18.noarch
/var/tmp/rpm-tmp.epHhD4: line 3: find: command not found

Possible solutions:
1) add findutils to requires

2) redefine %update_maven_depmap as %nil
This macro is no longer needed and therefore can be replaced with NIL.

Comment 1 Mikolaj Izdebski 2012-12-03 17:11:11 UTC
Created attachment 656844 [details]
Proposed patch

This patch reimplements %update_maven_depmap as NOOP.


Note You need to log in before you can comment on or make changes to this bug.